@echo off

SET DirPath=%~dp0

cd /d %~dp0
cd Source
IF %ERRORLEVEL% NEQ 0 (
	echo Cannot find update package!
	pause
	goto END
)
echo %DATE%_%TIME%	Change directory successfully. >> log.txt

echo %DATE%_%TIME%	Check pre-requirements ... >> log.txt
IF exist C:\ForcePower\wmibios.dll (
	echo %DATE%_%TIME%	Done, do part2. >> log.txt
	GOTO DO_PART2
) ELSE (
	echo %DATE%_%TIME%	Done, prepare files. >> log.txt
	GOTO PREPARE_FILES
)


:PREPARE_FILES
echo %DATE%_%TIME%	Prepare files ... >> log.txt
XCOPY wmibios.dll C:\ForcePower\wmibios.dll* >> log.txt 2>&1
START /B /WAIT REGEDIT.exe /s wmibios.reg >> log.txt 2>&1
echo %DATE%_%TIME%	Done >> log.txt

echo %DATE%_%TIME%	Generate xml ... >> log.txt
del setting_old.xml >> log.txt 2>&1
rename setting.xml setting_old.xml >> log.txt 2>&1
copy setting_template.xml setting.xml >> log.txt 2>&1
call repl.bat "part2.bat" "%DirPath%part2.bat" L < "setting.xml" >"tmp.xml"
del "setting.xml" >> log.txt 2>&1
rename "tmp.xml" "setting.xml" >> log.txt 2>&1
echo %DATE%_%TIME%	Done >> log.txt

echo %DATE%_%TIME%	Create task ... >> log.txt
SchTasks /Create /TN "TB3 FW Upgrade Part2" /XML setting.xml >> log.txt 2>&1
echo %DATE%_%TIME%	Done, rc=%ERRORLEVEL% >> log.txt

echo %DATE%_%TIME%	Show reboot message >> log.txt
START /WAIT Part1ForGD.exe
echo %DATE%_%TIME%	Reboot >> log.txt
shutdown -f -r -t 3

goto END


:DO_PART2
call part2.bat
goto END


:END
